#ifndef HELPER_H
#define HELPER_H

#if defined(WIN32)
#include <windows.h>
extern HWND hwnd;
static inline void showMessage(const char* msg)
    { MessageBox(hwnd, msg, "TextSuiteExample Error", MB_OK); };
    
#elif defined(LINUX)
#include <stdio.h>
static inline void showMessage(const char* msg)
    { printf("%s\n", msg); };
#endif

#endif /* HELPER_H */