program example;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, SysUtils, Forms, uMainForm, ulibTextSuite;

{$R *.res}

{$IFDEF DUMP_HEAPTRACE}
var
  heaptrcFile: String;
{$ENDIF}

begin
{$IFDEF DUMP_HEAPTRACE}
  heaptrcFile := ChangeFileExt(Application.ExeName, '.heaptrc');
  if (FileExists(heaptrcFile)) then
    DeleteFile(heaptrcFile);
  SetHeapTraceOutput(heaptrcFile);
{$ENDIF}

  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.

