library libTextSuite;

{$mode objfpc}{$H+}

uses
  Classes, SysUtils, ultsChar, ultsFontCreator, ultsGeneral, ultsPostProcessor, ultsTextBlock, ultsUtils, ultsContext,
  ultsFont, ultsImage, ultsRenderer, ultsTypes, utsCharCache;

exports
  ltsContextCreate,
  ltsContextGetCodePage,
  ltsContextGetDefaultChar,
  ltsContextSetCodePage,
  ltsContextSetDefaultChar,
  ltsContextAnsiToWide,
  ltsContextDestroy,

  ltsRendererCreate,
  ltsRendererCustomCreate,
  ltsRendererBeginBlock,
  ltsRendererEndBlock,
  ltsRendererAbortBlock,
  ltsRendererGetTextWidthA,
  ltsRendererGetTextWidthW,
  ltsRendererDestroy,

  ltsFontCreatorCreate,
  ltsFontCreatorGetFontByName,
  ltsFontCreatorGetFontByFile,
  ltsFontCreatorGetFontByStream,
  ltsFontCreatorDestroy,

  ltsFontGetPostProcessor,
  ltsFontGetTabWidth,
  ltsFontGetCharSpacing,
  ltsFontGetLineSpacing,
  ltsFontGetMetric,
  ltsFontGetFontname,
  ltsFontGetFacename,
  ltsFontGetStylename,
  ltsFontGetFullname,
  ltsFontGetCopyright,
  ltsFontSetPostProcessor,
  ltsFontSetTabWidth,
  ltsFontSetCharSpacing,
  ltsFontSetLineSpacing,
  ltsFontDestroy,

  ltsTextBlockGetRect,
  ltsTextBlockGetWidth,
  ltsTextBlockGetHeight,
  ltsTextBlockGetFlags,
  ltsTextBlockGetTop,
  ltsTextBlockGetLeft,
  ltsTextBlockGetVertAlign,
  ltsTextBlockGetHorzAlign,
  ltsTextBlockGetClipping,
  ltsTextBlockGetColor,
  ltsTextBlockGetFont,
  ltsTextBlockSetTop,
  ltsTextBlockSetLeft,
  ltsTextBlockSetVertAlign,
  ltsTextBlockSetHorzAlign,
  ltsTextBlockSetClipping,
  ltsTextBlockSetColor,
  ltsTextBlockSetFont,
  ltsTextBlockGetActualHeight,
  ltsTextBlockGetTextWidthA,
  ltsTextBlockGetTextWidthW,
  ltsTextBlockTextOutA,
  ltsTextBlockTextOutW,
  ltsTextBlockDestroy,

  ltsImageCreate,
  ltsImageIsEmpty,
  ltsImageGetWidth,
  ltsImageGetHeight,
  ltsImageGetLineSize,
  ltsImageGetDataSize,
  ltsImageGetFormat,
  ltsImageGetData,
  ltsImageGetScanline,
  ltsImageGetPixelAt,
  ltsImageAssign,
  ltsImageCreateEmpty,
  ltsImageLoadFromFunc,
  ltsImageResize,
  ltsImageFillColor,
  ltsImageFillPattern,
  ltsImageBlend,
  ltsImageBlur,
  ltsImageDestroy,

  ltsPostProcessorAddRange,
  ltsPostProcessorAddChars,
  ltsPostProcessorClearRanges,
  ltsPostProcessorExecute,
  ltsPostProcessorFillColorCreate,
  ltsPostProcessorFillPatternCreate,
  ltsPostProcessorBorderCreate,
  ltsPostProcessorShadowCreate,
  ltsPostProcessorCustomCreate,
  ltsPostProcessorDestroy,

  ltsCharGetCharCode,
  ltsCharGetGlyphMetric,
  ltsCharSetGlyphMetric,

  ltsInitialize,
  ltsGetVersion,
  ltsGetLastErrorCode,
  ltsGetLastErrorMsg,
  ltsFinalize;

end.

